Bug 434570 - can't change mem or cpus in kvm guest
can't change mem or cpus in kvm guest
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: 441653 444206 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-22 15:26 EST by Kevin Fenzi
Modified: 2008-12-05 12:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-05 12:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-02-22 15:26:33 EST
for some reason, neither virt-manager nor virsh will allow you to change the
number of cpus or memory allocated to kvm guests. 


You can pull up the details page, make changes and hit 'apply'. Nothing happens. 
If you close the details window and re-open it all values are back to their old


virsh # setvcpus fedora8-x86_64 4
libvir: error : this function is not supported by the hypervisor:

virsh # setmaxmem fedora8-x86_64 1024000
libvir: error : this function is not supported by the hypervisor:
error: Unable to change MaxMemorySize

While kvm doesn't support changing these on a running guest, it should allow you
to do so on a inactive guest. (At least I think thats the case, it would be
lovely to change them on the fly too if possible).

Manually editing the guests xml file and restarting libvirt gets the new values
working fine.
Comment 1 Kevin Fenzi 2008-06-01 19:41:41 EDT
Just retested this on F9.

setvcpus seems to behave the same. 

setmaxmem seems to now accept the values, but it's not reflected in dumpxml or
the guest. :( 

Comment 2 Cole Robinson 2008-09-16 11:42:02 EDT
*** Bug 441653 has been marked as a duplicate of this bug. ***
Comment 3 Cole Robinson 2008-09-16 11:42:36 EDT
*** Bug 444206 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2008-11-26 04:55:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Kevin Fenzi 2008-11-27 23:03:48 EST
Same retesting from comment #1, still happens in f10.
Comment 7 Ilkka Tengvall 2008-12-02 09:00:26 EST
I'm the reporter of 441653, a duplicate for this one. Now that I made a reinstall (not upgrade) fc9 -> fc10, cpu setting works for me.
Comment 9 Cole Robinson 2008-12-05 12:39:02 EST
Sorry about the lack of communication on this issue, I did the original dupes and thought I updated the bug with status info, but I didn't :( Apologies.

Since libvirt 0.4.6, libvirt reports the correct max vcpu value for KVM. Since a while before that, the setvcpu and setmem/maxmem commands have been hooked up, so this bug is fully resolved. 0.5.0 is now in F9 and F10.

Kevin, in regards to Comment #1 and Comment #6, none of these commands will take effect on a running VM. That is a separate issue though: I don't think cpu hotplug is supported for kvm yet, though memory hotplug/ballooning is (I think), but we don't support it in libvirt. Please file a separate bug for those issues.


Note You need to log in before you can comment on or make changes to this bug.